<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_home_page_texts', function (Blueprint $table) {
            $table->string('flash_sale_title', 50)->nullable();
            $table->string('featured_category_item_section_title', 50)->nullable();
            $table->string('latest_item_section_title', 50)->nullable();
            $table->string('on_sale_section_title', 50)->nullable();
            $table->string('on_sale_section_image', 50)->nullable();
            $table->string('on_sale_section_subtitle', 50)->nullable();
            $table->string('on_sale_section_section_button_name', 50)->nullable();
            $table->string('on_sale_section_section_button_link')->nullable(); // default 255
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_home_page_texts', function (Blueprint $table) {
            //
        });
    }
};
